<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <meta charset="utf-8" />
    <link rel="shortcut icon" href="%PUBLIC_URL%/favicon.ico" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no, minimal-ui">
    <meta name="theme-color" content="#000000" />
    <link rel="manifest" href="%PUBLIC_URL%/manifest.json" />
    <link href="https://fonts.googleapis.com/css?family=Roboto+Condensed&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <style>
        * {
            font-family: 'Roboto Condensed', sans-serif;
        }
        .heart {
            width: 100px;
            height: 100px;
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            background: url(https://cssanimation.rocks/images/posts/steps/heart.png) no-repeat;
            background-position: 0 0;
            cursor: pointer;
            animation: fave-heart 1s steps(28) infinite;
        }
        @keyframes fave-heart {
            0% {
                background-position: 0 0;
            }
            100% {
                background-position: -2800px 0;
            }
        }

        .fullpage-Loader{
            width: 100%;height: 100%;top: 0;left: 0;position: fixed;
        }

        .wrapLoader{
            padding: 10px;
            width: 130px;
            height: 130px;
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            background:
            whitesmoke;
            border-radius: 50%;
        }

        .btnClose {
            width: 20px;
            height: 20px;
            position: fixed;
            top: 10px;
            right: 10px;
            z-index: 99999;
        }
        .btnClose img{
            width: 100%;
        }
        #root {
            overflow: hidden;
        }

        #slide3View .swiper-container {
            width: 180%;
            margin-left: -40%;
        }

        .MuiCardHeader-content .span {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            width: 100%;
            font-size: 1.5vh !important;
        }

        .swiper-slide-next {
            -webkit-transform: scale(1.1);
            -moz-transform: scale(1.1);
            transform: scale(1.1);

            transition-property: transform;
            transition-duration: .5s;
        }

        #slide3View .MuiCardHeader-action {
            width: 50%;
            align-self: center;
            padding: 5px;
            padding-right: 10px;
        }

        #bg {
            background: url('images/bg_new.png');
            background-size: cover;
        }

        #slide3View .MuiCardHeader-action {
            width: 50%;
            align-self: center;
            padding: 5px;
            padding-right: 10px;
        }

        #slide3View .MuiCardMedia-root {
            border-radius: 3px;
            position: relative;
        }

        #slide3View .MuiCardMedia-root .makeCouple {
            position: absolute;
            height: 100%;
            left: 0;
            top: 0;
            background-color: rgba(0, 0, 0, .2);
            width: 100%;
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
            opacity: 0;
            transition-property: opacity;
            transition-duration: .3s;
        }

        #slide3View .MuiCardMedia-root .makeCouple.active {
            opacity: 1;
        }

        #slide3View .MuiCardMedia-root .makeCouple>img {
            width: 60px;
        }

        #bg {
            background: url('images/bg_new.png');
            background-size: cover;
        }

        .MuiInput-underline {
            border-bottom: none !important;
        }

        .MuiInput-underline:before {
            border-bottom: none !important;
        }

        .MuiInput-underline:after {
            border-bottom: none !important;
        }

        input.MuiInputBase-input.MuiInput-input {
            text-align: center;
            background: #FFF;
            padding: 18px;
            border-radius: 30px;
            font-size: 1.5rem;
        }

        .MuiPickersToolbar-toolbar,
        .MuiPickersDay-daySelected {
            background-color: #ed667a !important;
        }

        .MuiButton-textPrimary {
            color: #ed667a !important;
        }

        .upload-btn-wrapper {
            position: relative;
            overflow: hidden;
            display: inline-block;
        }

        .btn {
            border: 2px solid gray;
            color: gray;
            background-color: white;
            padding: 60px;
            border-radius: 8px;
            font-size: 20px;
            font-weight: bold;
        }

        .MuiFormControl-root {
            max-width: 300px;
        }

        .upload-btn-wrapper input[type=file] {
            font-size: 100px;
            position: absolute;
            left: 0;
            top: 0;
            opacity: 0;
        }

        .find__search {
            display: flex;
            justify-content: space-around;
            align-items: center;
            width: 80%;
        }

        .find__search-notification {
            padding: 10px;
            font-size: 2rem;
            color: pink;
        }

        .cardMore__group {
            /* padding: 16px; */
            background: pink;
            border-radius: 5px;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
        }

        .find__more {
            display: flex;
            justify-content: space-around;
            width: 100%;
        }

        .find__slide {
            width: 50%;
        }

        .card__info-status {
            font-weight: 600;
        }

        .Card__info-name {
            font-weight: bold;
            font-size: 1.2rem;
        }

        .Card__group {
            display: flex;
            width: 100%;
            justify-content: space-around;
            align-items: center;
        }

        .MuiChip-colorPrimary {
            color: #FFFFFF;
            background-color: pink !important;
        }

        .MuiChip-deleteIcon,
        .MuiChip-label {
            color: #ed667a !important;
        }

        .effect__hoverDisplay {
            height: 100%;
            width: 100%;
            position: absolute;
            top: 0px;
            display: none;
            justify-content: center;
            align-items: center;
            color: pink;
        }

        .effect__hoverDisplay:hover {
            display: flex !important;
        }

        /* style by Phuc */

        .cpn__root {
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
        }

        .cpn__single {
            width: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            margin-bottom: 20px;
        }

        .cpn__single.cpn__head {
            height: 25vh;
        }

        .cpn__single.cpn__mid {
            height: 30vh;
        }

        .cpn__mid-tagFavorite {
            /* border: 1px solid; */
            width: 100%;
        }

        .cpn__mid-desirePage {
            flex-direction: column;
            padding: 10px 25px;
        }

        /* Override style swiper slide */
        .swiper-container {
            overflow: unset !important;
        }

        /* style by Phuc */
    </style>
    <style>
        /*------ CSS Use Case Example START ------*/

        /* import font ROBOTO */
        @import url('https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700');

        body {
            font-family: 'Roboto', sans-serif;
            font-size: 12px;
            /* margin: 0 15px; */
        }


        .background-0,
        .background-1,
        .background-2,
        .background-3,
        .background-4,
        .background-5,
        .background-6,
        .background-7 {
            transition: all 400ms ease;
        }

        /* class created only for a better preview*/
        .stage {
            position: absolute;
            opacity: 1;
            max-width: 600px;
            top: 50%;
            left: 50%;
            -webkit-transform: translate(-50%, -50%);
            -ms-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
        }

        .stage.hidden {
            opacity: 0;
            transition: all 400ms ease;
        }

        @media screen and (max-width: 600px) {
            .stage {
                max-width: 100%;
            }
        }

        h1,
        h2,
        h3 {
            margin: 0;
        }

        h1 {
            font-size: 32px;
            font-weight: 400;
        }

        h2 {
            font-size: 24px;
            font-weight: 100;
            color: #FFF;
            text-align: center;
        }

        h3 {
            font-size: 18px;
            font-weight: 300;
            margin-top: 10px;
        }

        .title {
            width: 100%;
            padding-bottom: 30px;
            text-align: center;
            font-weight: 400;
            font-size: 22px;
            color: #fff;
        }

        .card-content {
            position: relative;
            color: #fff;
            padding: 5px;
        }

        .card-image {
            width: 100%;
            height: 100%;
        }

        .card-image img {
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
            -o-object-fit: cover;
            object-fit: cover;
            height: 350px;
        }

        .card-titles {
            position: absolute;
            bottom: 0;
            padding: 10px;
            width: 100%;
        }

        .card-footer {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            justify-content: center;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            padding: 25px 35px;
        }

        .popular-destinations-text {
            font-size: 16px;
            font-weight: 400;
            color: #8E9AA4;
            width: 100%;
            min-width: 110px;
        }

        .popular-destinations-images {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-pack: end;
            -ms-flex-pack: end;
            justify-content: flex-end;
            width: 100%;
        }

        .circle {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            background: #fff;
            margin-left: 8px;
        }

        .circle img {
            border-radius: 50%
        }

        /* global actions buttons*/
        .global-actions {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            justify-content: center;
            min-width: 200px;
            padding-top: 20px;
        }

        .top-action,
        .right-action,
        .left-action,
        .btn-action {
            border-radius: 50%;
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            justify-content: center;
            background: #fff;
            -webkit-box-shadow: 0 3px 4px 0px rgba(0, 0, 0, 0.5);
            box-shadow: 0 3px 4px 0px rgba(0, 0, 0, 0.5);
        }

        .right-action,
        .left-action,
        .btn-action {
            width: 50px;
            height: 50px;
            margin: 5px;
        }

        .top-action {
            width: 40px;
            height: 40px;
            margin: 0 20px;
        }

        .final-state.active {
            position: absolute;
            opacity: 1;
            top: 0;
            left: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            width: 100%;
            height: 100%;
            transition: all 400ms ease;
        }

        .final-state.hidden {
            opacity: 0;
        }


        /*------ CSS Use Case Example END ------*/

        /*----- Stacked Cards component css START -----*/
        body {
            overflow: hidden;
        }

        .no-transition {
            -webkit-transition: none ! important;
            transition: none ! important;
        }

        .stackedcards-overflow {
            overflow-y: hidden !important;
        }

        .stackedcards.init {
            opacity: 0;
            /* set the opacity to 0 if you want a fade-in effect to stacked cards on page load */
        }

        .stackedcards {
            position: relative;
            width: 90%;
            margin: auto;
        }

        .stackedcards * {
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

        .stackedcards--animatable {
            -webkit-transition: all 400ms ease;
            -o-transition: all 400ms ease;
            transition: all 400ms ease;
        }

        .stackedcards .stackedcards-container>*,
        .stackedcards-overlay {
            position: absolute;
            width: 100%;
            /* set 100% */
            height: 100%;
            /* set 100% */
            will-change: transform, opacity;
            top: 0;
            border-radius: 10px;
            min-width: 265px;
        }

        .stackedcards-overlay.left>div,
        .stackedcards-overlay.right>div,
        .stackedcards-overlay.top>div {
            width: 100%;
            height: 100%;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            justify-content: center;
        }

        .stackedcards-overlay.left,
        .stackedcards-overlay.right,
        .stackedcards-overlay.top {
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            justify-content: center;
            left: 0;
            opacity: 0;
            top: 0;
            height: 100%;
        }

        .stackedcards-overlay.top,
        .stackedcards-overlay.right,
        .stackedcards-overlay.left {
            background: #fff;
        }

        .stackedcards-overlay.left:empty,
        .stackedcards-overlay.right:empty,
        .stackedcards-overlay.top:empty {
            display: none !important;
        }

        .stackedcards-overlay-hidden {
            display: none;
        }

        .stackedcards-origin-bottom {
            -webkit-transform-origin: bottom;
            -ms-transform-origin: bottom;
            transform-origin: bottom;
        }

        .stackedcards-origin-top {
            -webkit-transform-origin: top;
            -ms-transform-origin: top;
            transform-origin: top;
        }

        .stackedcards-bottom,
        .stackedcards-top,
        .stackedcards-none {
            background: #fff;
            /* set card background background */
            box-shadow: 0 6px 12px 0 rgba(0, 0, 0, 0.30);
            height: 100%;
        }

        .stackedcards .stackedcards-container> :nth-child(1) {
            position: relative;
            display: block;
        }

        .MuiPaper-elevation4 {
            box-shadow: none !important;
        }

        .cpn__max-height-favourite {
            max-height: 46vh;
            overflow: auto;
            justify-content: flex-start;
            padding: 5px;
        }

        /* Change font date time picker */
        .MuiInput-input,
        .MuiDialogContent-root.MuiPickersModal-dialog * {
            font-family: 'Roboto Condensed', sans-serif !important;
        }

        input.MuiInputBase-input.MuiInput-input {
            padding: 15px;
            font-size: 1.3rem;
        }

        .disable-dbl-tap-zoom {
            touch-action: manipulation;
        }

        /*----- Stacked Cards component css END -----*/
    </style>
    
	<style>
        .error{
            color:#e74c3c;
            word-wrap: break-word;
        }
        .info{
            color:#2ecc71;
            word-wrap: break-word;
        }
        .log{
            color:#cccccc;
            word-wrap: break-word;
        }
        .warn{
            color:#3498db;
            word-wrap: break-word;
        }
        #debug-pannel{
            background: #484848;
            position: absolute;
            top: 0;
            left: 0;
            font-size: 20px;
            z-index:9999;
            color: black;
            display:block;
            width:100%;
            height:100%;
        }
        .scroll{
            overflow: hidden;
        }
        #debug-pannel #log{
            font-size:16px;
        }
        #debug-pannel .panel{
            background: #343436;
            position: relative;
            width: 100%;
        }
        .bottom{
            bottom : 0;
        }
        .sHeader{
    
        }
        .sFooter{
            height : auto;
            min-height: 65px;
        }
        .sBody{
            height : 100%;
        }
        .left {
            float: left;
        }
        .right {
            float: right;
        }
        .btnX {
            background: #3498db;
            border: 3px solid #343436;
            width : 30px;
            height: 30px;
            border-radius: 30px;
        }
        .font {
            font-family: 'Noto Sans', sans-serif;
        }
        </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
    <script src="iscroll.js"></script>
    <script>
        var _token = location.href;
        try {_token = _token.split("&token=")[1].split("&")[0]} 
        catch { try { _token = _token.split("?token=")[1].split("&")[0]} catch {
            _token = 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJmdWxsbmFtZSI6IlBo4bqhbSBRdWFuZyBLaGFuZyIsImVtYWlsIjoia2hhbmdwcTJAZnNvZnQuY29tIiwiZW1wbG95ZWVJZCI6IjAwMDAxOTA3IiwiY29tcGFueU5hbWUiOiJGUFQgU29mdHdhcmUiLCJkZXBhcnRtZW50TmFtZSI6IkRQUyIsImRlcGFydG1lbnROYW1lRnVsbCI6IkRFTEwgUEhBSSBTTyIsImV4cCI6MzM1ODE5NTIwNzUsImlhdCI6MzI1ODE5NTIwNzV9.ceLwQkBkmEmhlmKvrg4_a9-j6zHAV9NhgJof_oi9UVE';
            //var _token = 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJmdWxsbmFtZSI6Ik5ndXnhu4VuIMSQ4bupYyBOZ-G7jWMiLCJlbWFpbCI6Ik5nb2NORDhAZnNvZnQuY29tIiwiZW1wbG95ZWVJZCI6IjAwMDAxOTA4IiwiY29tcGFueU5hbWUiOiJGUFQgU29mdHdhcmUiLCJkZXBhcnRtZW50TmFtZSI6IkRQUyIsImRlcGFydG1lbnROYW1lRnVsbCI6IkRFTEwgUEhBSSBTTyIsImV4cCI6MzM1ODE5NTIwNzUsImlhdCI6MzI1ODE5NTIwNzV9.7h61tekF3v66H0D0pT4NBcFWR1F2to3fc1MBbWSuQeA';
        }};
        console.log('token',_token);
        
    </script>

    <title>React Material Dashboard</title>
</head>

<body class="disable-dbl-tap-zoom">
    <noscript>You need to enable JavaScript to run this app.</noscript>
    <div id="root"></div>
    <div id ='debug-pannel' style='display:none;'>
    <div class='panel sHeader'>
        <div id='closeBtn' class='warn left'><div class='btnX'></div></div>
    </div>
    <div id = 'scrollArea' class='sBody scroll'>
    <div id = 'log' ></div>
    </div>
    </div>
    <div id="draggable" class="draggable ui-widget-content btnX" style="z-index: 999;position: absolute;display:block;top:0;"></div>
    <!-- Pages load faster with scripts at the bottom -->
    
    <script type="text/javascript">
        var scroller_log = new IScroll('#scrollArea', {
            scrollbars: true,
            mouseWheel: true,
            click: true,
            interactiveScrollbars: true,
            shrinkScrollbars: 'scale',
            fadeScrollbars: true
        });
        
        var logger = document.getElementById('log');
        ['log','warn','error','info'].forEach(function (verb) {
        //['error'].forEach(function (verb) {
            console[verb] = (function (method, verb, logger) {
                return function (text) {
                    method(text);
                    // handle distinguishing between methods any way you'd like
                    var msg = document.createElement('div');
                    msg.classList.add(verb);
                    msg.textContent = verb + ': ' + text;
                    logger.appendChild(msg);
                    scroller_log.refresh();
                };
            })(console[verb].bind(console), verb, logger);

        });
        window.onerror = function (msg, url, lineNo, columnNo, error) {
            var string = msg.toLowerCase();
            var substring = "script error";
            if (string.indexOf(substring) > -1){
                //alert('Script Error: See Browser Console for Detail');
            } else {
                var message = [
                    'Message: ' + msg,
                    'URL: ' + url,
                    'Line: ' + lineNo,
                    'Column: ' + columnNo,
                    'Error object: ' + JSON.stringify(error)
                ].join(' - ');
                console.error(message);
            }
            //alert('yep');
            return false;
        };
        
        
        var maxWidthFloat = window.innerWidth,
            minWidthFloat = 0,
            maxHeighFloat = window.innerHeight,
            minHeighFloat = 0,
            oldTouchTop = 0,
            oldTouchLeft = 0;
        function _KEN_Open_Debug_Pannel(){
            $('#debug-pannel').show();
            console.error('LOG the SIZE of game');
            console.log('W : '+$('#c2canvas').width());
            console.log('H : '+$('#c2canvas').height());
            scroller_log.refresh();
        }
        function _KEN_Close_Debug_Pannel(){
            $('#debug-pannel').hide();
        }
        $('#draggable').click(function() {
            _KEN_Open_Debug_Pannel();
        });
        $('#closeBtn').click(function() {
            _KEN_Close_Debug_Pannel();
        });
        
    </script>
</body>
<script>
   
</script>
<script src="all.js">
</script>
<script>
var _sharedImage = "";
function __getImageData(_avatar1,_avatar2,_name1,_name2){
    var _ele = document.createElement('canvas');
    _ele.id = 'shareImg';
    _ele.width = '1200';
    _ele.height = '630';
    document.getElementsByTagName("BODY")[0].append(_ele);
    var _canvas = {};
    var imagesArray = [],
        medias = [];
    imagesArray[0] = "images/sharedBG.png";
    imagesArray[1] = _avatar1;
    imagesArray[2] = _avatar2;
    var _imageResize = function(){
        var _ratio = medias[1].naturalWidth/315;// 405	
    }
    var mediasLoader = new _MediaLoader();
    mediasLoader.load(imagesArray);
    mediasLoader.complete = function () {
        console.log("##loaded ");
        var _canvas = document.getElementById("shareImg");
        var _context = _canvas.getContext("2d");
        _context.drawImage(medias[0],0,0);
        drawImageProp(_context,medias[1], 201, 63, 315, 405);
        drawImageProp(_context,medias[2], 685, 63, 315, 405);
        _context.font = "36px Arial";
        _context.textAlign = "center";
        _context.fillStyle = "#FFFFFF"; 
        _context.fillText(_name1, 360, 510); 
        _context.fillText(_name2, 845, 510);
        _sharedImage = _canvas.toDataURL({format: "png"});
        console.log(_sharedImage);
    }
    // scale IMG to fit as cover
    function drawImageProp(ctx, img, x, y, w, h, offsetX, offsetY) {
        if (arguments.length === 2) {
            x = y = 0;
            w = ctx.canvas.width;
            h = ctx.canvas.height;
        }
        offsetX = typeof offsetX === "number" ? offsetX : 0.5;
        offsetY = typeof offsetY === "number" ? offsetY : 0.5;
        if (offsetX < 0) offsetX = 0;
        if (offsetY < 0) offsetY = 0;
        if (offsetX > 1) offsetX = 1;
        if (offsetY > 1) offsetY = 1;

        var iw = img.width,
            ih = img.height,
            r = Math.min(w / iw, h / ih),
            nw = iw * r,   // new prop. width
            nh = ih * r,   // new prop. height
            cx, cy, cw, ch, ar = 1;
        if (nw < w) ar = w / nw;                             
        if (Math.abs(ar - 1) < 1e-14 && nh < h) ar = h / nh;  // updated
        nw *= ar;
        nh *= ar;
        cw = iw / (nw / w);
        ch = ih / (nh / h);
        cx = (iw - cw) * offsetX;
        cy = (ih - ch) * offsetY;
        if (cx < 0) cx = 0;
        if (cy < 0) cy = 0;
        if (cw > iw) cw = iw;
        if (ch > ih) ch = ih;
        ctx.drawImage(img, cx, cy, cw, ch,  x, y, w, h);
    }

    function _MediaLoader() {
        //Call this callback function after finishing loading images
        this.pre_complete = function () {
            this.complete();
        };
        //Set loaded images and total images variables to zero at first
        this.loaded = this.total = 0;
        //Load function takes the paths of the images
        this.load = function (paths) {
            //Point the loader to this Object
            var loader = this;
            //For each path sent try to load the image
            for (var i in paths) {
                //If it is not string skip it
                if (typeof (paths[i]) != "string") continue;
                //Increase the total number by 1
                this.total++;
                //Set the name of path
                var fn = paths[i];
                //Create new Image
                medias[i] = new Image();
                //Set it's source
                medias[i].crossOrigin = "anonymous";
                medias[i].src = fn;
                //Handle onload function to be called after loading the image
                medias[i].onload = function () {
                    //Increase the loaded images by 1
                    loader.loaded++;
                    //console.log(loader.loaded);
                    //If the total images equal to the loaded images then call complete callback function
                    if (loader.loaded == paths.length)
                        loader.pre_complete();
                };
            }
        };
    }
}
</script>
</html>